CoCoALib - Design #305

FreeModule: unique copy?
12 Feb 2013 11:38 - Anna Maria Bigatti

Status: In Progress Start date: 12 Feb 2013
Priority: Normal Due date:

Assignee: % Done: 10%
Category: Tidying Estimated time: 0.00 hour
Target version: CoCoALib-1.0 Spent time: 0.10 hour
Description

While writing this | gave myself the answer "probably NO", this is the reason:
e general case: just one constructor "NewFreeModule(R, n)", here it seems to make sense.
¢ special case (but the most important for CoCoA): we can have different shifts and module orderings (TOPos, PosTO, and
more)

| wrote this just to remember and collect comments.

Related issues:

Related to CoCoA-5 - Feature #200: add modules and module operations Closed 29 Jun 2012
Related to CoCoALib - Design #297: Modules design: brainstorming In Progress 25 Jan 2013
Related to CoCoALib - Feature #304: Module ordering and grading (and shifts) Closed 11 Feb 2013
Related to CoCoA-5 - Feature #331: Is it possible to have R*3 for NewFreeModu... Rejected 15 Mar 2013
History

#1 - 21 Feb 2013 16:22 - Anna Maria Bigatti

Big problem: operator==
for ring equality is strict (only if pointers are equal)
for ideal equality is "mathematical" (I subset of J and viceversa)

What about module?
a FreeModule behaves like a ring
a submodule behaves like an ideal

How to distiguish clearly between these meanings of equality?

#2 - 21 Feb 2013 16:50 - Anna Maria Bigatti

should we allow submodules only for FreeModules?

#3 - 21 Feb 2013 16:52 - Anna Maria Bigatti
- Category set to Tidying
- Target version set to CoCoALib-0.9953

#4 - 23 May 2013 08:14 - Anna Maria Bigatti
- Status changed from New to In Progress

- % Done changed from 0 to 10

#5 - 29 Oct 2013 13:40 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.9953 to CoCoALib-0.99532
#6 - 01 Apr 2014 17:29 - Anna Maria Bigatti
- Target version changed from CoCoALib-0.99532 to CoCoALib-0.99533 Easter14

#7 - 08 Apr 2014 18:38 - John Abbott
- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#8 - 14 Jul 2014 11:07 - Anna Maria Bigatti
- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0

#9 - 10 Dec 2023 20:43 - John Abbott

ANNA What is the status of this?
Feasible to complete before 0.998507?
